#
#  Configuration file for the Allegro library.
#
#  If you leave a parameter blank, Allegro will autodetect (ie. guess :-)
#
#  This file should be kept either in the same directory as your program,
#  or in a location pointed to by the "ALLEGRO" environment variable.
#
#  On Unix, this file may also be stored as ~/.allegrorc or /etc/allegrorc.




[system]

# Unix system drivers:
#
#  XWIN     - XWindows
#  LNXC     - Linux console

system = 



# Keyboard mapping file (this can be a .cfg file on disk, or an object from
# keyboard.dat). Currently available layouts are:
#
#  BE       - Belgium
#  BR       - Brazil
#  CF       - Canada (French)
#  CH       - Switzerland
#  CZ       - Czech Republic
#  DE       - Germany
#  DK       - Denmark
#  DVORAK   - Dvorak
#  ES       - Spain
#  FI       - Finland
#  FR       - France
#  IT       - Italy
#  NO       - Norway
#  PL       - Poland
#  PT       - Portugal
#  RU       - Russia
#  SE       - Sweden
#  SK       - Slovakia
#  UK       - United Kingdom
#  US       - United States

keyboard = 



# Language translation file (this can be a .cfg file on disk, or an 
# object from language.dat). Currently available translations are:
#
#  CA       - Catalan
#  CZ       - Czech
#  DE       - German
#  DK       - Danish
#  EN       - English
#  ES       - Spanish
#  FI       - Finnish
#  FR       - French
#  IT       - Italian
#  NL       - Dutch
#  NO       - Norwegian
#  PL       - Polish
#  PT       - Portuguese
#  RU       - Russian
#  SE       - Swedish
#  SK       - Slovak

language = 



# whether to disable the screensaver (0:never 1:fullscreen 2:always, default 1)
disable_screensaver = 



# how long to take for menus to auto-open (time in msecs or -1 to disable)
menu_opening_delay = 



# use XInitThreads (default = 1) in the X11 port
XInitThreads =



[graphics]

# DOS graphics drivers:
#
#  VGA      - Standard VGA
#  MODX     - Mode-X
#  VBE1     - VESA 1.x
#  VB2B     - VBE 2.0 (banked)
#  VB2L     - VBE 2.0 (linear)
#  VBE3     - VBE 3.0
#  VBAF     - VBE/AF
#  XTND     - Xtended mode
#
# Windows graphics drivers:
#
#  DXAC     - DirectX with hardware acceleration
#  DXSO     - DirectX without hardware acceleration
#  DXSA     - DirectX in safe-mode, with all the fancy features disabled
#  DXWN     - DirectX in windowed mode
#  DXOV     - DirectX overlay (fast windowed mode, only works on some cards)
#  GDIB     - GDI mode (slow windowed mode, works on all cards)
#
# Linux console graphics drivers:
#
#  FB       - fbcon device
#  VBAF     - VBE/AF
#  SVGA     - SVGAlib
#  VGA      - Standard VGA
#  MODX     - Mode-X
#
# X graphics drivers:
#
#  XWIN     - standard X Windows
#  XWFS     - Fullscreen X Windows
#  DGA2     - DGA 2.0 mode
#  DGAS     - DGA 2.0 software only mode
#
# BeOS graphics drivers:
#
#  BWSA     - Fullscreen BWindowScreen with hardware acceleration
#  BWS      - Fullscreen BWindowScreen
#  BDWN     - Fast windowed mode via BDirectWindow
#  BWN      - Normal windowed mode via BWindow
#  BOVL     - Fullscreen overlay (only works on some cards)
#
# QNX graphics drivers:
#
#  QPAC     - Photon with hardware acceleration
#  QPSO     - Photon without hardware acceleration
#  QPSA     - Photon in safe-mode, with all the fancy features disabled
#  QPWN     - Photon in windowed mode
#
# MacOS X graphics drivers:
#
#  QZWN     - Quartz windowed mode
#  QZFL     - Quartz fullscreen mode via CGDirectDisplay interface
#
# You can also specify different drivers for a particular mode or color
# depth, eg. "gfx_card_640x480x16 = VBE3", "gfx_card_24bpp = VBE1", or
# you can provide a number of alternative drivers, for example
# "gfx_card1 = VGA", "gfx_card2 = MODX", etc.

gfx_card = 



# driver to use when autodetecting windowed modes
gfx_cardw = 



# whether to disable synchronization with the vertical blank when
# page-flipping (yes or no)
disable_vsync = 



# DOS and Linux: where to look for the VBE/AF driver
vbeaf_driver = 



# Linux only: fbcon device file (see below for fbcon timing data)
framebuffer = 



# Unix/X11 only: whether to force window centering in fullscreen mode
#                for the XWFS driver (yes or no)
force_centering = 



# Windows only: whether to disable direct updating in color conversion
#               mode for the DXWN driver (yes or no)
disable_direct_updating = 




# Linux/fbcon mode timings. Duplicate then fill in `X', `Y' and
# the timings themselves. You can copy them from fb.modes directly -- the
# first two figures on the geometry line are X and Y here, and the figures
# on the timings line are the first fields here (up to `vsync_len')

[fb_mode_XxY]
pixclock = 
left_margin = 
right_margin = 
upper_margin = 
lower_margin = 
hsync_len = 
vsync_len = 
vmode = 
sync = 



# You can customize the mapping of X11 key codes to Allegro keycodes here. For
# example, if you want to swap Y and Z on a German keyboard as can be useful in
# some games who assume Z and X are next to each other, you will see lines like
# this in allegro.log if you run an Allegro program in debug mode:
# al-xkey INFO: key [29: z Z] assigned to 26.
# al-xkey INFO: key [52: y Y] assigned to 25.
# 29 and 52 are the X11 codes, 26 is KEY_Z, 25 is KEY_Y. Using the two commented
# out lines below, you would therefore swap both keys.

[xkeymap]
#keycode29 = 25
#keycode52 = 26


[mouse]

# DOS mouse drivers:
#
#  0        - none
#  MICK     - mickey mode driver (normally the best)
#  I33      - int 0x33 callback driver
#  POLL     - timer polling
#  WNT      - Windows NT 3.5x/4.0 specific driver
#  W2K      - Windows 2000 specific driver
#
# Linux console mouse drivers:
#
#  0        - none
#  LPS2     - PS2 mouse
#  LIPS     - PS2 mouse with Intellimouse extension
#  MS       - Microsoft serial mouse
#  IMS      - Microsoft serial mouse with Intellimouse extension
#  GPMD     - GPM repeater data (Mouse Systems protocol)
#  EV       - Event interfaces (EVDEV) - set mouse_device = /dev/input/eventN

mouse = 



# number of buttons (specifying this overrides autodetection)
num_buttons = 



# whether to emulate the third mouse button (yes or no)
emulate_three = 



# Linux only: name of the mouse device file (eg. /dev/mouse)
mouse_device = 



# Linux only: default EV input mode (0=relative, 1=absolute)
ev_absolute = 



# Linux only: for absolute EV inputs, minimum and maximum values
#             (specifying this overrides autodetection)
ev_min_x = 
ev_max_x = 
ev_min_y = 
ev_max_y = 
ev_min_z = 
ev_max_z = 



# Linux only: scaling factor for tablet mouse (1 by default).  Good values are
#             usually between 1 and 40, higher numbers for bigger tablets
ev_abs_to_rel_x = 
ev_abs_to_rel_y = 
ev_abs_to_rel_z = 



# Windows only: mouse acceleration factor (1 by default, 0 to disable)
mouse_accel_factor = 




[sound]

# DOS digital sound drivers:
#
#  0        - none
#  SB       - Sound Blaster (autodetect breed)
#  SB10     - Sound Blaster 1.0
#  SB15     - Sound Blaster 1.5
#  SB20     - Sound Blaster 2.0
#  SBP      - Sound Blaster Pro
#  SB16     - Sound Blaster 16
#  ESS      - ESS AudioDrive
#  ESC      - Ensoniq Soundscape
#  WSS      - Windows Sound System
#
# Windows digital sound drivers:
#
#  0        - none
#  DXA      - first DirectSound device
#  DXB      - second DirectSound device
#  ...      - etc
#  AXA      - first DirectSound device using Allegro mixer
#  AXB      - second DirectSound device using Allegro mixer
#  ...      - etc
#  WOA      - high quality WaveOut device
#  WOB      - low quality WaveOut device
#
# Unix digital sound drivers:
#
#  0        - none
#  OSSD     - Open Sound System
#  ESDD     - Enlightened Sound Daemon
#  ARTS     - aRts (Analog Real-Time Synthesizer)
#  ALSA     - ALSA Sound System
#  JACK     - JACK Audio Server
#
# BeOS digital sound drivers:
#
#  0        - none
#  BDIG     - BeOS digital sound system
#
# MacOS X digital sound drivers:
#
#  0        - none
#  DCA      - CoreAudio digital output
#  SNDM     - Carbon Sound Manager
#

digi_card = 



# DOS music drivers:
#
#  0        - none
#  OPL      - Adlib (autodetect OPL version)
#  OPL2     - OPL2 FM synth
#  OPLX     - Dual OPL2 (SB Pro-1)
#  OPL3     - OPL3 FM synth
#  SB       - raw SB MIDI interface
#  MPU      - MPU-401 MIDI interface
#  DIGI     - DIGMID software wavetable
#  AWE      - AWE32
#
# Windows music drivers:
#
#  0        - none
#  W32M     - win32 MIDI mapper
#  W32A     - first win32 MIDI device
#  W32B     - second win32 MIDI device
#  ...      - etc
#  DIGI     - DIGMID software wavetable
#
# Linux music drivers:
#
#  0        - none
#  OSSM     - Open Sound System
#  DIGI     - DIGMID software wavetable
#  AMID     - ALSA Sound System
#
# BeOS music drivers:
#
#  0        - none
#  BMID     - BeOS MIDI synthesizer
#  DIGI     - DIGMID software wavetable
#
# MacOS X music drivers:
#
#  0        - none
#  MCA      - CoreAudio MIDI software synthesizer
#  QTM      - QuickTime Music via Note Allocator
#  DIGI     - DIGMID software wavetable
#

midi_card = 



# sound input drivers (same format as above, can usually be left blank)
digi_input_card = 
midi_input_card = 



# how many voices to reserve for each driver
digi_voices = 
midi_voices = 



# how loud? (range 0-255)
digi_volume = 
midi_volume = 



# sample mixing quality (0=fastest, 1=full 16 bit precision, 2=interpolation)
quality = 



# toggling this between 0 and 1 reverses the left/right panning of samples
flip_pan = 



# DOS, Unix and BeOS: sample output frequency (eg. 44100)
sound_freq = 



# Unix and BeOS: preferred number of bits (8 or 16)
sound_bits = 



# Unix and BeOS: stereo output (1 or 0)
sound_stereo = 



# DOS only: soundcard port address (usually 220)
sound_port = 



# DOS only: soundcard DMA channel (usually 1)
sound_dma = 



# DOS only: soundcard IRQ number (usually 7)
sound_irq = 



# DOS only: FM synth port address (usually 388)
fm_port = 



# DOS only: MPU-401 port address (usually 330)
mpu_port = 



# DOS only: MPU-401 IRQ number (usually the same as sound_irq)
mpu_irq = 



# DOS only: instrument definitions for the Adlib driver
ibk_file = 
ibk_drum_file = 



# Unix only: OSS device driver name (usually /dev/dsp or /dev/audio)
oss_driver = 



# Unix only: number of OSS driver fragments (buffers) and size of each buffer
oss_numfrags = 
oss_fragsize = 



# Unix only: OSS MIDI device name (usually /dev/sequencer)
oss_midi_driver = 



# Unix only: OSS mixer device name (usually /dev/mixer)
oss_mixer_driver = 



# Unix only: name of the Enlightened Sound Daemon server
esd_server = 



# Unix only: card number and PCM device for the ALSA 0.5 sound driver
alsa_card = 
alsa_pcmdevice = 



# Unix only: device name for the ALSA 0.9 sound driver
#            format: <driver>[:<card>,<device>] (e.g.: hw:0,1)
alsa_device = 



# Unix only: mixer device name for the ALSA 0.9 driver (default: default)
alsa_mixer_device = 



# Unix only: mixer element name for the ALSA 0.9 driver (default: PCM)
alsa_mixer_elem = 



# Unix only: number of ALSA driver fragments (buffers)
alsa_numfrags = 



# Unix only: size of each ALSA fragment, in samples
alsa_fragsize = 



# Unix only: card number for the ALSA 0.5 midi driver
alsa_rawmidi_card = 



# Unix only: device for the ALSA 0.5 midi driver
#            device name for the ALSA 0.9 midi driver (see alsa_device)
alsa_rawmidi_device = 



# Unix only: name for the JACK client (default: allegro)
jack_client_name =



# BeOS only: MIDI synthesizer instruments quality (0=low, 1=high)
be_midi_quality = 



# BeOS only: MIDI sample mixing frequency in Hz (11025, 22050 or 44100)
be_midi_freq = 



# BeOS only: MIDI interpolation (0=none, 1=fast linear, 2=linear)
be_midi_interpolation = 



# BeOS only: MIDI reverberation intensity (0 to 5)
be_midi_reverb = 



# MacOS X only: CoreAudio MIDI rendering quality (0 to 127)
ca_midi_quality = 



# MacOS X only: CoreAudio MIDI reverberation intensity (0 to 5)
ca_midi_reverb = 



# patch set for the DIGMID software wavetable driver
patches = 




[joystick]

# DOS joystick drivers :
#
#  0        - none
#  STD      - standard 2-button
#  2PAD     - dual standard 2-button
#  4BUT     - standard 4-button
#  6BUT     - standard 6-button
#  8BUT     - standard 8-button
#  FPRO     - CH Flightstick Pro
#  WING     - Logitech Wingman Extreme
#  SW       - Microsoft Sidewinder digital pad
#  SWAG     - Microsoft Sidewinder digital pad (aggressive)
#  SWPP     - Microsoft Sidewinder 3D/Precision/Force Feedback Pro
#  GPRO     - Gravis GamePad Pro
#  GRIP     - Gravis GrIP
#  GRI4     - Gravis GrIP (4-axis only)
#  SNE1     - SNES joypads connected to LPT1
#  SNE2     - SNES joypads connected to LPT2
#  SNE3     - SNES joypads connected to LPT3
#  PSX1     - PSX joypads connected to LPT1
#  PSX2     - PSX joypads connected to LPT2
#  PSX3     - PSX joypads connected to LPT3
#  N641     - N64 joypads connected to LPT1
#  N642     - N64 joypads connected to LPT2
#  N643     - N64 joypads connected to LPT3
#  DB91     - Pair of 2-button joysticks connected to LPT1
#  DB92     - Pair of 2-button joysticks connected to LPT2
#  DB93     - Pair of 2-button joysticks connected to LPT3
#  TGX1     - TurboGraFX joysticks connected to LPT1
#  TGX2     - TurboGraFX joysticks connected to LPT2
#  TGX3     - TurboGraFX joysticks connected to LPT3
#  SEGI     - IF-SEGA joystick interface card (ISA bus)
#  SEGP     - IF-SEGA joystick interface card (PCI bus)
#  SGPF     - IF-SEGA joystick interface card (fast PCI bus)
#  WWAR     - Wingman Warrior
#
# Windows joystick drivers :
#
#  0        - none
#  DX       - DirectInput joystick
#  W32      - Win32 joystick

joytype = 



# BeoS and Linux only: name of the joystick device
joystick_device = 



# alternatively you can specify it for each joystick:
# joystick_device_0 = 
# joystick_device_1 = 
# ...



# Linux only: axis number the throttle is located at
throttle_axis = 

# alternatively you can specify it for each joystick:
#
# throttle_axis_0 = 
# throttle_axis_1 = 
# ...




[grabber]

# stored grabber variables (editor state information)
xgrid = 16
ygrid = 16
backups = n
index = n
sort = n
relative = n
dither = n
transparency = n
griddle_xgrid = 
griddle_ygrid = 
griddle_mode = 
griddle_empties = 
griddle_autocrop = 
griddle_type = 
griddle_depth = 



# edit these shell commands to whatever helper programs you want to use...
data = start /w notepad
bmp = start /w "c:\program files\accessories\mspaint.exe"
rle = start /w "c:\program files\accessories\mspaint.exe"
cmp = start /w "c:\program files\accessories\mspaint.exe"
xcmp = start /w "c:\program files\accessories\mspaint.exe"
pal = start /w "c:\program files\accessories\mspaint.exe"
font = start /w "c:\program files\accessories\mspaint.exe"
samp = start /w "c:\program files\cooledit\cool.exe"
midi = start /w "c:\program files\cakewalk\wincake.exe"

# or if you are using Linux you might prefer something more like:
#
# data = xterm -e fed -b
# bmp = gimp
# rle = gimp
# cmp = gimp
# xcmp = gimp
# pal = gimp
# font = gimp
